'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ErrorDialog = undefined;

var _recompose = require('recompose');

var _reactIntl = require('react-intl');

var _ramda = require('ramda');

var _styles = require('@material-ui/core/styles');

var _Dialog = require('@material-ui/core/Dialog');

var _Dialog2 = _interopRequireDefault(_Dialog);

var _DialogActions = require('@material-ui/core/DialogActions');

var _DialogActions2 = _interopRequireDefault(_DialogActions);

var _DialogContent = require('@material-ui/core/DialogContent');

var _DialogContent2 = _interopRequireDefault(_DialogContent);

var _DialogTitle = require('@material-ui/core/DialogTitle');

var _DialogTitle2 = _interopRequireDefault(_DialogTitle);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ActionButtons = require('./ActionButtons');

var _ActionButtons2 = _interopRequireDefault(_ActionButtons);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  listStyle: {
    paddingRight: 20
  }
};

var ErrorDialog = exports.ErrorDialog = function ErrorDialog(_ref) {
  var closeErrorModal = _ref.closeErrorModal,
      errors = _ref.errors,
      intl = _ref.intl,
      classes = _ref.classes;
  return !!errors.length && _react2.default.createElement(
    _Dialog2.default,
    { open: true, onClose: closeErrorModal },
    _react2.default.createElement(
      _DialogTitle2.default,
      null,
      intl.formatMessage({ id: 'error' })
    ),
    _react2.default.createElement(
      _DialogContent2.default,
      null,
      _react2.default.createElement(
        'ul',
        { className: classes.listStyle },
        (0, _ramda.uniq)(errors).map(function (error) {
          return _react2.default.createElement(
            'li',
            { key: error },
            error === 'genericError' ? intl.formatMessage({ id: 'genericError' }) : error
          );
        })
      )
    ),
    _react2.default.createElement(
      _DialogActions2.default,
      null,
      _react2.default.createElement(_ActionButtons2.default, {
        primaryButtonProps: {
          textId: intl.formatMessage({ id: 'ok' }),
          onClick: closeErrorModal
        }
      })
    )
  );
};

ErrorDialog.displayName = 'ErrorDialog';

ErrorDialog.propTypes = {
  closeErrorModal: _propTypes2.default.func.isRequired,
  errors: _propTypes2.default.array.isRequired,
  intl: _propTypes2.default.object.isRequired,
  classes: _propTypes2.default.object.isRequired
};

exports.default = (0, _recompose.compose)(_reactIntl.injectIntl, (0, _styles.withStyles)(styles, { name: 'ErrorDialog' }))(ErrorDialog);