'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Loader = undefined;

var _colorManipulator = require('@material-ui/core/styles/colorManipulator');

var _styles = require('@material-ui/core/styles');

var _CircularProgress = require('@material-ui/core/CircularProgress');

var _CircularProgress2 = _interopRequireDefault(_CircularProgress);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = function styles(theme) {
  return {
    root: {
      position: 'fixed',
      top: '0',
      left: '0',
      bottom: '0',
      right: '0',
      backgroundColor: (0, _colorManipulator.fade)(theme.palette.common.white, 0.87),
      zIndex: '99',
      '&.inner': {
        position: 'absolute'
      }
    },
    loader: {
      position: 'absolute',
      top: '0',
      left: '0',
      bottom: '0',
      right: '0',
      margin: 'auto',
      width: '50px',
      height: '50px'
    }
  };
};

var Loader = exports.Loader = function Loader(_ref) {
  var classes = _ref.classes,
      isInner = _ref.isInner,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { className: classes.root + ' ' + (isInner && 'inner' || '') + ' test-loader ' + className },
    _react2.default.createElement(
      'div',
      { className: classes.loader },
      _react2.default.createElement(_CircularProgress2.default, { size: 50 })
    )
  );
};

Loader.displayName = 'Loader';

exports.default = (0, _styles.withStyles)(styles, { name: 'Loader' })(Loader);