'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shallowIntlSetup = exports.renderIntlSetup = exports.mountIntlSetup = exports.shallowSetup = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _enzyme = require('enzyme');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _intlEnzymeTestHelper = require('./intlEnzymeTestHelper');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var shallowSetup = exports.shallowSetup = function shallowSetup(Component, defaultProps) {
  return function (props) {
    return (0, _enzyme.shallow)(_react2.default.createElement(Component, _extends({}, defaultProps, props)));
  };
};

var mountIntlSetup = exports.mountIntlSetup = function mountIntlSetup(Component, defaultProps) {
  return function (props) {
    return (0, _intlEnzymeTestHelper.mountWithIntl)(_react2.default.createElement(Component, _extends({}, defaultProps, props)));
  };
};

var renderIntlSetup = exports.renderIntlSetup = function renderIntlSetup(Component, defaultProps) {
  return function (props) {
    return (0, _intlEnzymeTestHelper.renderWithIntl)(_react2.default.createElement(Component, _extends({}, defaultProps, props)));
  };
};

var shallowIntlSetup = exports.shallowIntlSetup = function shallowIntlSetup(Component, defaultProps) {
  return function (props) {
    return (0, _intlEnzymeTestHelper.shallowWithIntl)(_react2.default.createElement(Component, _extends({}, defaultProps, props)));
  };
};