'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getErrorMessages = exports.defaultState = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _reduceReducers = require('reduce-reducers');

var _reduceReducers2 = _interopRequireDefault(_reduceReducers);

var _createApiActions = require('./createApiActions');

var _errorsActions = require('./errorsActions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var defaultState = exports.defaultState = {
  errors: []
};

var errorModalReducer = function errorModalReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultState;
  var _ref = arguments[1];
  var type = _ref.type;

  switch (type) {
    case _errorsActions.types.CLOSE_ERROR_MODAL:
      return _extends({}, state, {
        errors: []
      });
    default:
      return state;
  }
};

var getErrorMessages = exports.getErrorMessages = function getErrorMessages(payload) {
  return payload && payload.response && Object.values(payload.response) && typeof Object.values(payload.response)[0][0] === 'string' && Object.values(payload.response) || ['genericError'];
};

var rsaaErrorReducer = function rsaaErrorReducer(state, _ref2) {
  var payload = _ref2.payload,
      _ref2$meta = _ref2.meta,
      meta = _ref2$meta === undefined ? {} : _ref2$meta;

  switch (meta.type) {
    case _createApiActions.API_FAILURE:
      {
        if (payload && payload.willRetry) {
          return state;
        } else {
          var errorMessages = getErrorMessages(payload);
          return _extends({}, state, {
            errors: [].concat(_toConsumableArray(state.errors), _toConsumableArray(errorMessages))
          });
        }
      }
    default:
      return state;
  }
};

exports.default = (0, _reduceReducers2.default)(errorModalReducer, rsaaErrorReducer);