'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultState = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createApiActions = require('./createApiActions');

var defaultState = exports.defaultState = { isLoading: false };

exports.default = function (apiName) {
  if (!apiName) {
    throw new Error('API Name is missing');
  }

  var actionTypes = (0, _createApiActions.createApiActionTypes)(apiName);
  return function () {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultState;
    var _ref = arguments[1];
    var type = _ref.type,
        payload = _ref.payload,
        error = _ref.error;

    switch (type) {
      case actionTypes.request.type:
        return _extends({}, state, payload, { error: error, isLoading: !error });

      case actionTypes.success.type:
        return _extends({}, state, { isLoading: false }, payload);

      case actionTypes.failure.type:
        return _extends({}, state, { error: payload, isLoading: false });

      default:
        return state;
    }
  };
};